Mailman geht nicht zu installieren

Postfix, QMail, Sendmail, Dovecot, Cyrus, Courier, Anti-Spam
michas.
Posts: 109
Joined: 2003-03-08 13:08

Mailman geht nicht zu installieren

Post by michas. » 2003-12-04 07:03

Ich habe bereits in mehreren vorhandenen Thread geschrieben, leider hat nichts bisher so richtig geholfen, deshalb hier noch einmal ein neuer Thread, vielleicht wird ja dadurch jemand auf mich aufmerksam, der eine Lösung parat hat.
Ich habe Mailman von list.org gezogen, bekomm es dann aber entsprechend der Anweisung in der README nicht zum laufen

Habe die Installanweisung der Readme aus Mailman 2.1.3 beachtet, aber spätestens an folgender Stelle (recht frühzeitig und gleich am Anfang der Installanweisungen):
% cd mailman-<version>
% ./configure

kommt folgende Fehlermeldung, die mich jetzt irritiert und nicht weiter machen läßt:

p15112116:/usr/local/src/mailman-2.1.3 # ./configure
checking for --with-python... no
checking for python... /usr/bin/python
checking Python interpreter... /usr/bin/python
checking Python version... 2.2.1
checking that Python has a working distutils... configure: error:

***** Distutils is not available or is incomplete for /usr/bin/python
***** If you installed Python from RPM (or other package manager)
***** be sure to install the -devel package, or install Python
***** from source. See README.LINUX for details

die nachfolgende Anweisung "make install" wird nicht mehr angenommen.

Wo liegt mein Fehler, wa kann ich tun, welche Diagnose kann gestellt werden.

Danke für die Hilfe


MichaS.

backdraft007
Posts: 35
Joined: 2003-09-08 10:54
Location: Bielefeld

Re: Mailman geht nicht zu installieren

Post by backdraft007 » 2003-12-04 08:17

MichaS. wrote:***** Distutils is not available or is incomplete for /usr/bin/python
***** If you installed Python from RPM (or other package manager)
***** be sure to install the -devel package, or install Python
***** from source. See README.LINUX for details
Steht doch da. Wenn Du Python aus einem Paket installiert hast, benötigst Du noch die Devel-Pakete von Python. Ansonsten musste Python eben selbst kompilieren.

michas.
Posts: 109
Joined: 2003-03-08 13:08

UND wie geht das?

Post by michas. » 2003-12-05 06:51

IOch habe gar nichts installiert sonder der Anbieter 1&1. Damit gehe ich davon aus, dass das Teil so konfiguriert und eingerichtet ist, dass ich damit arbeiten kann.
Was muß ich aber nun konkret machen, wo finde ich dazu einen Hinweis, eine Anleitung, HowTo?

beste Grüße

MichaS.

bobby
Posts: 146
Joined: 2003-08-03 13:42

Re: Mailman geht nicht zu installieren

Post by bobby » 2003-12-05 08:46

Hi!

Yast -> Software -> install or remove Software -> nach python suchen -> python-devel installieren.

Ich dlaube nicht, dass man von 1&1 erwarten kann, dass alle Pakete die du irgendwann mal benötigst installiert werden.
1&1 installiert ein Standard-System für einen Webserver, das für die Mmeisten Leute durchaus ausreichend ist. Wenn du mehr willst, muss du eben pakete nachinstallieren...

Gruß

Bobby

michas.
Posts: 109
Joined: 2003-03-08 13:08

Ja, aber

Post by michas. » 2003-12-06 05:40

da gebe ich dir recht, allein dann noch die Frage, was der Unterschied zwischen der jetzigen und der neuen Installation ist, was ist überhaupt ein devel-PAket bzw. -Installation?


DANKE


MichaS.

bobby
Posts: 146
Joined: 2003-08-03 13:42

Re: Mailman geht nicht zu installieren

Post by bobby » 2003-12-06 10:21

Hi!

Ein Devel-Pakete ist ein Development-Paket (Entwicklerversion, mist erweiterte Libraries und Sources).

Gruß

Bobby